# class MGCPEvent | An MGCP event. More...
Full name | `TelEngine::MGCPEvent`
Definition | `#include <libs/ymgcp/yatemgcp.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- ~MGCPEvent ()
- inline MGCPTransaction* transaction ()
- inline MGCPMessage* message () const

#### Protected Methods

- MGCPEvent (MGCPTransaction* trans, MGCPMessage* msg = 0)

## Detailed Description

This class carries a copy of the message received by a transaction or a transaction state change notification (such as timeout or destroy)

~MGCPEvent () | ### ~MGCPEvent

Destructor. Delete the message. Notify and deref the transaction

inline MGCPTransaction* transaction () | ### transaction

Get the transaction that generated this event

Returns: The transaction that generated this event

inline MGCPMessage* message () | ### message

[const]

Get the message carried by this event

Returns: The message carried by this event or 0 if none

MGCPEvent (MGCPTransaction* trans, MGCPMessage* msg = 0) | ### MGCPEvent

[protected]

Constructor. Constructs an event from a transaction

Parameters:

trans | The transaction that generated this event
msg | The message carried by this event, if any

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.